{
	"name": "table/external/4d/other/_preference.json",
	"table_name": "_preference",
	"table_prefix": "_prf",
	"record_type": ["4d"],
	"local_table": "preference",
	"local_record_type": "4d",
	"table_number": 1,
	"default_order": [],
	"field": [
		{
			"field_name": "type_",
			"local_field": "json_data.preference_type",
			"field_type": "integer",
			"field_number": 3,
			"constraint": ["index"]
		},
		{
			"field_name": "long_value",
			"local_field": "json_data.long_value",
			"field_type": "integer",
			"field_number": 4,
			"constraint": ["index"]
		},
		{
			"field_name": "string_value",
			"local_field": "json_data.string_value",
			"field_type": "varchar",
			"field_length": 80,
			"field_number": 5,
			"constraint": ["index"]
		},
		{
			"field_name": "text_value",
			"local_field": "json_data.text_value",
			"field_type": "text",
			"field_number": 8
		},
		{
			"field_name": "change_id",
			"local_field": "modify_id",
			"field_type": "varchar",
			"field_length": 45,
			"field_number": 9
		},
		{
			"field_name": "creator_id",
			"local_field": "json_data.creator_id",
			"field_type": "varchar",
			"field_length": 20,
			"field_number": 10
		},
		{
			"field_name": "modifier_id",
			"local_field": "modify_user",
			"field_type": "varchar",
			"field_length": 20,
			"field_number": 11
		},
		{
			"field_name": "transfer_state",
			"local_field": "json_data.transfer_state",
			"field_type": "integer",
			"field_number": 12
		},
		{
			"field_name": "info",
			"local_field": "info",
			"field_type": "text",
			"field_number": 7
		},
		{
			"field_name": "record_id",
			"local_field": "record_id",
			"field_type": "varchar",
			"field_length": 45,
			"field_number": 2,
			"constraint": ["unique"]
		},
		{
			"field_name": "name_id",
			"local_field": "name_id",
			"field_type": "varchar",
			"field_length": 80,
			"field_number": 1,
			"constraint": ["unique"]
		}
	],
	"field-not-in-use": [
		{
			"field_name": "blob_value",
			"local_field": "json_data.blob_value",
			"field_type": "blob",
			"field_number": 6
		}
	]
}
